<div class="basic-page">
  <h2>Constructions</h2>
  <!----Hotel, DS and Hospital only show for Entities that aren't citizens ---->
  <h4>Your estate</h4>
  <p>You can sell the Houses you have build into the Estate Marketplace.</p>
  <nz-tabset [nzSelectedIndex]="selectedTab">
    <nz-tab [nzTitle]="titleTemplate" (nzSelect)="loadData(1)">
      <ng-template #titleTemplate><img src="{{hostUrl}}/assets/img/ico/eco/prod/house.png" width="20" height="20">
        Houses </ng-template>
    </nz-tab>
    <nz-tab [nzTitle]="titleTemplate2" (nzSelect)="loadData(10)">
      <ng-template #titleTemplate2><img src="{{hostUrl}}/assets/img/ico/eco/prod/hotel.png" width="20" height="20">
        Hotels you own </ng-template>
    </nz-tab>
    <nz-tab [nzTitle]="titleTemplate3" (nzSelect)="loadData(11)">
      <ng-template #titleTemplate3><img src="{{hostUrl}}/assets/img/ico/eco/prod/hotel.png" width="20" height="20">
        Hotels in region </ng-template>
    </nz-tab>
  </nz-tabset>
  <nz-spin [nzSpinning]="isLoading[0]">
    <div *ngIf="constructions.length === 0">
      <nz-alert nzType="warning" nzMessage="No constructions."></nz-alert>
    </div>
    <div *ngIf="constructions.length > 0" style="padding:15px;" class="listitem-container alternative">
      <div nz-row nzType="flex" nzAlign="middle" nzJustify="space-between" nzGutter="16" ngClass="listitem"
        *ngFor="let item of constructions">
        <div nz-col nzSpan="6" style="text-align:left;">
          <img src="{{hostUrl}}/assets/img/ico/eco/prod/{{item.typeName.toLowerCase()}}.png" width="40" height="40">
          <div class="gold" [innerHtml]="item.quality"></div>
        </div>
        <div nz-col nzSpan="12">
          <button *ngIf="selectedTab === 0 || selectedTab === 1" nz-button nzType="blue"
            (click)="showManage(item.id)">Manage</button>
          <p *ngIf="selectedTab === 2">
            {{item.roomsLeft === null ? "Not available!" : item.roomsLeft + ' x'}} <br />
            {{item.price === null ? "Not available!" : item.price + ' ' + item.currencyName }}
          </p>
        </div>
        <div nz-col *ngIf="selectedTab === 0 || selectedTab === 2">
          <button nz-button nzType="green" (click)="use(item.typeName.toLowerCase(), item.id)">
            Use
          </button>
        </div>
      </div>
    </div>
  </nz-spin>
  <h4>Knowledge Base</h4>
  <p>Construction kits are used to construct buildings, there are 5 qualities of construction kits, similar to other
    items, the more stars (quality) the higher quality the building will be. For example 1 star construction kit will
    make a 1 star building while a 5 star construction kit would make a 5 star building.
  </p>
  <h4>This is the necessary
    amount of Construction Kits per type:</h4>
  <div style="padding:15px;" class="listitem-container">
    <nz-spin [nzSpinning]="isLoading[1]">
      <div nz-row ngClass="listitem" nzType="flex" nzGutter="16" nzJustify="space-between" nzAlign="middle">
        <div nz-col>
          <img src="{{hostUrl}}/assets/img/ico/eco/prod/house.png">
        </div>
        <div nz-col>
          House
        </div>
        <div nz-col>
          30
        </div>
        <div nz-col>
          <nz-rate [(ngModel)]="houseQuality"></nz-rate>
        </div>
        <div nz-col>
          <button nz-button nzType="green" (click)="constructHouse()">Build</button>
        </div>
      </div>
      <div nz-row ngClass="listitem" nzType="flex" nzGutter="16" nzJustify="space-between" nzAlign="middle">
        <div nz-col>
          <img src="{{hostUrl}}/assets/img/ico/eco/prod/hotel.png">
        </div>
        <div nz-col>
          Hotel
        </div>
        <div nz-col>
          100
        </div>
        <div nz-col>
          <nz-rate [(ngModel)]="hotelQuality"></nz-rate>
        </div>
        <div nz-col>
          <button nz-button nzType="green" (click)="constructHotel()">Build</button>
        </div>
      </div>
      <!-- <tr>
              <div nz-col>
                <img src="{{hostUrl}}/assets/img/ico/eco/prod/defense-system.png">
              </div>
              <div nz-col>
                <p>Defense System</p>
              </div>
              <div nz-col>
                <p>200</p>
              </div>
              <div nz-col>
                <!-- <nz-rate [(ngModel)]="dsQuality"></nz-rate> -->
      <!-- </div>
              <div nz-col> -->
      <!-- <input class="smBtn blButton small" type="button" (click)="constructDs()" value="Construct one house"
                  style="border:none;"> -->
      <!-- </div>
            </tr>
            <tr>
              <div nz-col>
                <img src="{{hostUrl}}/assets/img/ico/eco/prod/hospital.png">
              </div>
              <div nz-col>
                <p>Hospital</p>
              </div>
              <div nz-col>
                <p>200</p>
              </div>
              <div nz-col> -->
      <!-- <nz-rate [(ngModel)]="hotelQuality"></nz-rate> -->
      <!-- </div>
              <div nz-col> -->
      <!-- <input class="smBtn blButton small" type="button" (click)="constructHospital()" value="Construct one house"
                  style="border:none;"> -->
      <!-- </div>
            </tr> -->
    </nz-spin>
  </div>
  <h4>Inventory</h4>
  <p>This is the amount of Construction Kits you own. In case they are not enough, you can always buy more from
    Marketplace!</p>
  <nz-spin [nzSpinning]="isLoading[2]">
    <div class="padded">
      <table class="tableColor smaller">
        <thead>
          <tr>
            <th></th>
            <th>Quality</th>
            <th>Amount</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of constructionPacksList">
            <td>
              <img class="square-50" src="{{hostUrl}}/assets/img/ico/eco/prod/construction-packs.png">
            </td>
            <td>
              <span class="gold" [innerHtml]="item.quality"></span>
            </td>
            <td>{{item.amount}}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </nz-spin>
</div>
